﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Enemy : MonoBehaviour
{
    public float health = 1;

    public float speed = 1;
    private GameObject player;

    public GameObject explosion;

	// Use this for initialization
	void Start ()
    {
        player = GameObject.FindWithTag("Player");
	}
	
	// Update is called once per frame
	void Update ()
    {
        if (speed > 0)
            this.GetComponent<Rigidbody>().velocity = transform.up * speed;

        if (health <= 0)
        {
            GameObject instance = Instantiate(explosion, transform.position, Quaternion.identity) as GameObject;

            //instance.transform.parent = GameObject.FindWithTag("planet").transform;

            Destroy(this.gameObject);
        }

        if (this.tag != "Enemy")
            return;

        //find the vector pointing from our position to the target
        Vector3 _direction = (player.transform.position - transform.position).normalized;

        //create the rotation we need to be in to look at the target
        Quaternion _lookRotation = Quaternion.LookRotation(_direction);
    }
}
