﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Sluck : MonoBehaviour
{
    public GameObject sluck;

    GameObject planet;

	// Use this for initialization
	void Start ()
    {
        this.transform.parent = GameObject.FindWithTag("planet").transform;
        sluck.transform.rotation = Random.rotation;

        sluck.GetComponent<Rigidbody>().AddForce(new Vector3(Random.Range(0.2f, 3), Random.Range(0.2f, 3), 0), ForceMode.Impulse);
        Destroy(this.gameObject, 2.0f);
	}
	
	// Update is called once per frame
	void Update ()
    {
        //UpdatePlayerTransform(transform.forward);
        //this.transform.LookAt(planet.transform);

        planet = GameObject.FindWithTag("planet");

        sluck.GetComponent<Rigidbody>().AddForce(Vector3.down * 10, ForceMode.Force);
    }

    private void UpdatePlayerTransform(Vector3 movementDirection)
    {
        RaycastHit hitInfo;

        if (GetRaycastDownAtNewPosition(movementDirection, out hitInfo))
        {
            Quaternion targetRotation = Quaternion.FromToRotation(Vector3.up, hitInfo.normal);
            Quaternion finalRotation = Quaternion.RotateTowards(transform.rotation, targetRotation, float.PositiveInfinity);

            transform.rotation = finalRotation;

            float step = 5 * Time.deltaTime;
             
        }

    }

    private bool GetRaycastDownAtNewPosition(Vector3 movementDirection, out RaycastHit hitInfo)
    {
        Vector3 newPosition = transform.position;
        Ray ray = new Ray(transform.position + movementDirection, transform.forward);

        if (Physics.Raycast(ray, out hitInfo, float.PositiveInfinity))
        {
            return true;
        }

        return false;
    }
}
